org.jgroups.blocks

## Class TwoPhaseVotingAdapter.TwoPhaseVoteWrapper

- java.lang.Object
- - org.jgroups.blocks.TwoPhaseVotingAdapter.TwoPhaseVoteWrapper

All Implemented Interfaces:
  VotingListener

Enclosing class:
  TwoPhaseVotingAdapter

    public static class TwoPhaseVotingAdapter.TwoPhaseVoteWrapper
    extends java.lang.Object
    implements VotingListener

### Constructor Summary

Constructors
Constructor and Description
`TwoPhaseVotingAdapter.TwoPhaseVoteWrapper(TwoPhaseVotingListener listener)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object other)`
`int` `hashCode()`
`boolean` `vote(java.lang.Object decree)` Each member is able to vote with `true` or `false` messages.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TwoPhaseVotingAdapter.TwoPhaseVoteWrapper

    public TwoPhaseVotingAdapter.TwoPhaseVoteWrapper(TwoPhaseVotingListener listener)

### Method Detail

#### vote

    public boolean vote(java.lang.Object decree)
                 throws VoteException

Description copied from interface: `VotingListener`
Each member is able to vote with `true` or `false` messages. If the member does not know what to do with the `decree` it should throw `VoteException`. Doing this he will be excluded from voting process and will not influence the result.

Specified by:
  `vote` in interface `VotingListener`
Parameters:
  `decree` - object representing the decree of current voting.
Throws:
  `VoteException` - if listener does not know the meaning of the decree and wants to be excluded from this voting.

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object other)

Overrides:
  `equals` in class `java.lang.Object`